summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author M.Dinslage <daedra1980@gmail.com>2020-10-01 23:53:26 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-10-03 09:01:45 +0700
commitba2fd41174296b647b3f9ab5e5fabe5a304b0292 (patch)
tree8f12fa8fa4a0ccd14ba5306692a00ba7c62532cd
parent390cae0090465ebfc29ab7093dabdef6d3c8f5bd (diff)
downloadslackbuilds-ba2fd41174296b647b3f9ab5e5fabe5a304b0292.tar.gz
slackbuilds-ba2fd41174296b647b3f9ab5e5fabe5a304b0292.tar.xz
system/unigine-valley-benchmark: Added (System benchmark tool)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/unigine-valley-benchmark/README7
-rw-r--r--system/unigine-valley-benchmark/doinst.sh4
-rw-r--r--system/unigine-valley-benchmark/slack-desc19
-rw-r--r--system/unigine-valley-benchmark/unigine-valley-benchmark.SlackBuild96
-rw-r--r--system/unigine-valley-benchmark/unigine-valley-benchmark.desktop9
-rw-r--r--system/unigine-valley-benchmark/unigine-valley-benchmark.info10
6 files changed, 145 insertions, 0 deletions
diff --git a/system/unigine-valley-benchmark/README b/system/unigine-valley-benchmark/README
new file mode 100644
index 0000000000..b567bdc095
--- /dev/null
+++ b/system/unigine-valley-benchmark/README
@@ -0,0 +1,7 @@
+unigine-valley-benchmark is an extreme performance and stability test
+for PC hardware: video card, power supply, cooling system. Check
+your rig in stock and overclocking modes with real-life load! Also
+includes interactive experience in a beautiful, detailed environment.
+
+Please not the source is 394mb if you are on a slow internet
+connection.
diff --git a/system/unigine-valley-benchmark/doinst.sh b/system/unigine-valley-benchmark/doinst.sh
new file mode 100644
index 0000000000..392c12adb9
--- /dev/null
+++ b/system/unigine-valley-benchmark/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
diff --git a/system/unigine-valley-benchmark/slack-desc b/system/unigine-valley-benchmark/slack-desc
new file mode 100644
index 0000000000..cd8e8cc8a5
--- /dev/null
+++ b/system/unigine-valley-benchmark/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+unigine-valley-benchmark: unigine-valley-benchmark (System benchmark tool)
+unigine-valley-benchmark:
+unigine-valley-benchmark: unigine-valley-benchmark is an extreme performance and stability test
+unigine-valley-benchmark: for PC hardware: video card, power supply, cooling system. Check
+unigine-valley-benchmark: your rig in stock and overclocking modes with real-life load! Also
+unigine-valley-benchmark: includes interactive experience in a beautiful, detailed environment.
+unigine-valley-benchmark:
+unigine-valley-benchmark:
+unigine-valley-benchmark:
+unigine-valley-benchmark:
+unigine-valley-benchmark:
diff --git a/system/unigine-valley-benchmark/unigine-valley-benchmark.SlackBuild b/system/unigine-valley-benchmark/unigine-valley-benchmark.SlackBuild
new file mode 100644
index 0000000000..be49c66b5f
--- /dev/null
+++ b/system/unigine-valley-benchmark/unigine-valley-benchmark.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/sh
+
+# Slackware build script for unigine-valley-benchmark
+
+# Copyright 2020 Matt Dinslage Springfield, MO
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=unigine-valley-benchmark
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Unigine_Valley
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+cd $PKG
+sh $CWD/$SRCNAM-$VERSION.run --target "$PKG/opt/$PRGNAM" --noexec
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# copy excutable
+mkdir -p $PKG/usr/bin
+cp $PKG/opt/$PRGNAM/valley $PKG/usr/bin
+
+# fix excutable
+sed -i 's,./bin,/opt/unigine-valley-benchmark/bin,g' $PKG/usr/bin/valley
+
+#add application launcher
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/opt/$PRGNAM/documentation/*.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/unigine-valley-benchmark/unigine-valley-benchmark.desktop b/system/unigine-valley-benchmark/unigine-valley-benchmark.desktop
new file mode 100644
index 0000000000..f67847e9d3
--- /dev/null
+++ b/system/unigine-valley-benchmark/unigine-valley-benchmark.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=unigine-valley-benchmark
+GenericName=System benchmarking software
+Exec=valley
+Terminal=false
+Type=Application
+Categories=Game;
+Icon=/opt/unigine-valley-benchmark/data/launcher/icon.png
+StartupNotify=false
diff --git a/system/unigine-valley-benchmark/unigine-valley-benchmark.info b/system/unigine-valley-benchmark/unigine-valley-benchmark.info
new file mode 100644
index 0000000000..5de76a9744
--- /dev/null
+++ b/system/unigine-valley-benchmark/unigine-valley-benchmark.info
@@ -0,0 +1,10 @@
+PRGNAM="unigine-valley-benchmark"
+VERSION="1.0"
+HOMEPAGE="https://benchmark.unigine.com/valley"
+DOWNLOAD="https://assets.unigine.com/d/Unigine_Valley-1.0.run"
+MD5SUM="186268c769db82f51a01cc8e0810752f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980@gmail.com"